2019-01-22 03:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002345NetSurfJavascriptpublic2016-02-16 15:26
ReporterChris Young 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.4 
Target Version3.4Fixed in Version3.4 
Summary0002345: Javascript + Embedded YouTube = Crash
Descriptionjs_newcompartment crashes on a number of websites, and I think it is embedded YouTube videos causing it.
Steps To ReproduceVisit http://www.digitiser2000.com with Javascript enabled.
Additional InformationStack trace is below. I have tried this on gtk too, and it doesn't crash out completely, but NetSurf freezes.

Crash log for task "Apps:Internet/NetSurf/NetSurf"
Generated by GrimReaper 53.19
Crash occured in module NetSurf at address 0x6F63254C
Type of crash: DSI (Data Storage Interrupt) exception
Alert number: 0x80000003

Register dump:
GPR (General Purpose Registers):
   0: 6F63254C 5967A3D0 00000000 0000000A 5964F7AC 5967A2C8 00000001 00000000
   8: 59651505 00000000 00000000 01DBDCC2 000004D0 5969B1A4 593D6B8C 00000002
  16: 5967A708 5967A70C 5967A7E4 5967A76C 00000000 5967A710 0010FFFE 5967A718
  24: 5967A794 54DD5258 0000000C 54B45628 554AF6B8 59690000 54B45628 00000000


FPR (Floating Point Registers, NaN = Not a Number):
   0: nan 0 0 0
   4: 0 15.8 15.8 0
   8: 0 4.5036e+15 4.5036e+15 255
  12: nan 65536 0 0
  16: 3.78577e-270 0 0 0
  20: 1.26481e-321 4.34638e-311 0 0
  24: 0 0 9.88131e-324 -1.94906e+289
  28: 0 0 0 -2.21831e+193

FPSCR (Floating Point Status and Control Register): 0xA6200100


SPRs (Special Purpose Registers):
           Machine State (msr) : 0x0002F030
                Condition (cr) : 0x54B02D80
      Instruction Pointer (ip) : 0x6F63254C
       Xtended Exception (xer) : 0x014193D0
                   Count (ctr) : 0x54B030F8
                     Link (lr) : 0x0002000E
            DSI Status (dsisr) : 0x556CE79C
            Data Address (dar) : 0x54B030F8



680x0 emulated registers:
DATA: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
ADDR: 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
FPU0: 0 0 0 0
FPU4: 0 0 0 0



Symbol info:
Instruction pointer 0x6F63254C belongs to module "NetSurf" (PowerPC)
Symbol: js_newcompartment + 0x68 in section 1 offset 0x00118528

Stack trace:
    [javascript/dukky.c:357] js_newcompartment()+0x68 (section 1 @ 0x118528)
    [javascript/dukky.c:357] js_newcompartment()+0x68 (section 1 @ 0x118528)
    [content/hlcache.c:191] hlcache_content_callback()+0x48 (section 1 @ 0xC9CD0)
    [content/content.c:765] content_broadcast()+0x84 (section 1 @ 0xBCB68)
    [render/html_script.c:517] html_process_script()+0x558 (section 1 @ 0x17BE58)
    complete_script()+0x1c (section 1 @ 0x21FA70)
    complete_script()+0x34 (section 1 @ 0x24FD78)
    handle_generic_rcdata()+0x118 (section 1 @ 0x257538)
    hubbub_treebuilder_token_handler()+0x1ec (section 1 @ 0x24F588)
    hubbub_tokeniser_emit_token()+0x38 (section 1 @ 0x24546C)
    hubbub_tokeniser_handle_tag_name()+0x52c (section 1 @ 0x24A480)
    hubbub_tokeniser_run()+0xc28 (section 1 @ 0x24D0CC)
    hubbub_parser_parse_chunk()+0xb0 (section 1 @ 0x243FC4)
    dom_hubbub_parser_parse_chunk()+0x14 (section 1 @ 0x2209BC)
    [render/html.c:1028] html_process_data()+0x28 (section 1 @ 0x16C5AC)
    [content/content.c:154] content_llcache_callback()+0x154 (section 1 @ 0xBB9A0)
    [content/llcache.c:2947] llcache_object_notify_users()+0x200 (section 1 @ 0xCC890)
    [content/llcache.c:3395] llcache_catch_up_all_users()+0x38 (section 1 @ 0xCCA40)
    [amiga/schedule.c:239] ami_schedule_handle()+0x178 (section 1 @ 0x3882C)
    [amiga/gui.c:2813] ami_get_msg()+0x5e8 (section 1 @ 0x1D2AC)
    [amiga/gui.c:5553] main()+0xb44 (section 1 @ 0x20A10)
    native kernel module newlib.library.kmod+0x000020ac
    native kernel module newlib.library.kmod+0x00002d14
    native kernel module newlib.library.kmod+0x00002ef0
    _start()+0x170 (section 1 @ 0x16C)
    native kernel module dos.library.kmod+0x00024c18
    native kernel module kernel+0x0003b648
    native kernel module kernel+0x0003b6c8

PPC disassembly:
 6f632544: 4cc63182 crclr 6,6
 6f632548: 48082dc9 bl 0x6F6B5310
*6f63254c: 807f0000 lwz r3,0(r31)
 6f632550: 38800000 li r4,0
 6f632554: 4801d419 bl 0x6F64F96C
TagsNo tags attached.
Fixed in CI build #2902
Reported in CI build #2898
URL of problem pagehttp://www.digitiser2000.com
Attached Files
  • log file icon ns.log (183,669 bytes) 2015-08-12 17:00

-Relationships
+Relationships

-Notes
Michael Drake

~0000903

Michael Drake (administrator)

Thanks, should be fixed in the latest versions.
Vincent Sanders

~0001304

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-08-12 16:56 Chris Young New Issue
2015-08-12 16:56 Chris Young File Added: ns.log
2015-08-12 17:00 Chris Young File Deleted: ns.log
2015-08-12 17:00 Chris Young File Added: ns.log
2015-08-12 17:01 Chris Young Additional Information Updated View Revisions
2015-08-13 09:09 Michael Drake Fixed in CI build # => 2902
2015-08-13 09:09 Michael Drake Note Added: 0000903
2015-08-13 09:09 Michael Drake Assigned To => Michael Drake
2015-08-13 09:09 Michael Drake Status new => resolved
2015-08-13 09:09 Michael Drake Resolution open => fixed
2015-08-13 09:09 Michael Drake Fixed in Version => 3.4
2015-08-13 09:09 Michael Drake Target Version => 3.4
2015-08-13 09:09 Michael Drake Additional Information Updated View Revisions
2016-02-16 15:26 Vincent Sanders Note Added: 0001304
2016-02-16 15:26 Vincent Sanders Status resolved => closed
+Issue History